Cloud and BYOC for Orca Agent Engine are in Private Preview — request an invite
Docs
Sinks

Get sink info with defaults

GET/apis/cloud.sn.io/v1/connectors/sinks/{sinkName}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

sinkName*string

Response Body

application/json

curl -X GET "https://example.com/apis/cloud.sn.io/v1/connectors/sinks/string"
{  "tenant": "string",  "namespace": "string",  "name": "string",  "className": "string",  "sourceSubscriptionName": "string",  "sourceSubscriptionPosition": "Latest",  "inputs": [    "string"  ],  "topicToSerdeClassName": {    "property1": "string",    "property2": "string"  },  "topicsPattern": "string",  "topicToSchemaType": {    "property1": "string",    "property2": "string"  },  "topicToSchemaProperties": {    "property1": "string",    "property2": "string"  },  "inputSpecs": {    "property1": {      "schemaType": "string",      "serdeClassName": "string",      "schemaProperties": {        "property1": "string",        "property2": "string"      },      "consumerProperties": {        "property1": "string",        "property2": "string"      },      "receiverQueueSize": 0,      "cryptoConfig": {        "cryptoKeyReaderClassName": "string",        "cryptoKeyReaderConfig": {          "property1": {},          "property2": {}        },        "encryptionKeys": [          "string"        ],        "producerCryptoFailureAction": "FAIL",        "consumerCryptoFailureAction": "FAIL"      },      "messagePayloadProcessorConfig": {        "className": "string",        "config": {          "property1": {},          "property2": {}        }      },      "poolMessages": true,      "regexPattern": true    },    "property2": {      "schemaType": "string",      "serdeClassName": "string",      "schemaProperties": {        "property1": "string",        "property2": "string"      },      "consumerProperties": {        "property1": "string",        "property2": "string"      },      "receiverQueueSize": 0,      "cryptoConfig": {        "cryptoKeyReaderClassName": "string",        "cryptoKeyReaderConfig": {          "property1": {},          "property2": {}        },        "encryptionKeys": [          "string"        ],        "producerCryptoFailureAction": "FAIL",        "consumerCryptoFailureAction": "FAIL"      },      "messagePayloadProcessorConfig": {        "className": "string",        "config": {          "property1": {},          "property2": {}        }      },      "poolMessages": true,      "regexPattern": true    }  },  "maxMessageRetries": 0,  "deadLetterTopic": "string",  "configs": {    "property1": {},    "property2": {}  },  "secrets": {    "property1": {},    "property2": {}  },  "parallelism": 0,  "processingGuarantees": "ATLEAST_ONCE",  "retainOrdering": true,  "retainKeyOrdering": true,  "resources": {    "cpu": 0.1,    "ram": 0,    "disk": 0  },  "autoAck": true,  "timeoutMs": 0,  "negativeAckRedeliveryDelayMs": 0,  "sinkType": "string",  "archive": "string",  "cleanupSubscription": true,  "runtimeFlags": "string",  "customRuntimeOptions": "string",  "transformFunction": "string",  "transformFunctionClassName": "string",  "transformFunctionConfig": "string",  "logTopic": "string",  "connection": "string",  "snServiceAccount": "string"}